from typing import List, Optional

from sqlalchemy.orm import Session

from app.crud.base import CRUDBase
from app.models.todo import Todo
from app.schemas.todo import TodoCreate, TodoUpdate


class CRUDTodo(CRUDBase[Todo, TodoCreate, TodoUpdate]):
    def get_by_title(self, db: Session, *, title: str) -> Optional[Todo]:
        return db.query(Todo).filter(Todo.title == title).first()


todo = CRUDTodo(Todo)